# List brand vettings

## List brand vettings in a workspace

> List all brand vettings for a given workspace. The list can be filtered by brand vetting status. This result is paginated. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.<br>

```json
{"openapi":"3.0.3","info":{"title":"Numbers","version":"v1"},"tags":[{"description":"TCR Brands","name":"number_brands"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"parameters":{"queryLimit":{"description":"Limits the number of results to return per page. The default value is 10 and maximum is 99. If the nextPageToken is defined on response, you can use it to get remaining numbers. To know more, refer to the pagination section.\n","in":"query","name":"limit","schema":{"default":10,"maximum":99,"minimum":1,"type":"integer"}},"queryCursor":{"description":"Pagination token that keeps of track of the current position in the list. Use it to query remaining results. If not provided, the first page is returned. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.","in":"query","name":"pageToken","schema":{"maxLength":8000,"type":"string"}},"queryDirection":{"description":"Order in which to retrieve the results. By default, the orders are in ascending order date. To get the results in descending order, set this parameter to true.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}}},"schemas":{"BrandVettingList":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/BrandVetting"}}}},"BrandVetting":{"type":"object","additionalProperties":false,"required":["id","brandId","createdAt","status","vettingProviderId","score","class"],"properties":{"id":{"type":"string","description":"Unique ID that identifies a vetting transaction performed by a vetting provider.","format":"uuid"},"brandId":{"type":"string","format":"uuid"},"createdAt":{"type":"string","description":"Vetting submission date (UTC). This is the date when the vetting request is generated","format":"date-time"},"updatedAt":{"type":"string","description":"Timestamp (UTC) when the brand vetting was last updated.","nullable":true,"format":"date-time"},"status":{"$ref":"#/components/schemas/BrandVettingStatus"},"vettingProviderId":{"type":"string","description":"External vetting provider ID for the Brand vetting."},"token":{"type":"string"},"score":{"description":"Brand vetting score (0-100). Higher is better.","type":"string"},"class":{"$ref":"#/components/schemas/BrandVettingClass"},"reasons":{"type":"array","description":"A list of reasons for FAILED vetting.","items":{"type":"string"}}}},"BrandVettingStatus":{"type":"string","description":"Identifies the vetting request status.","enum":["PENDING","REJECTED","FAILED","APPROVED","EXPIRED"]},"BrandVettingClass":{"type":"string","description":"Identifies the vetting classification.","enum":["STANDARD"]},"pagination":{"properties":{"nextPageToken":{"description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display. To know more, refer to the pagination section.","type":"string"}},"type":"object"},"Error":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","description":"A unique code that identifies the error. This code can be used to programmatically identify the error.\n","minLength":5},"message":{"type":"string","minLength":5,"description":"A human-readable message that describes the error. An example is 'The request body is missing the required field `service`.'\n"},"details":{"type":"object","additionalProperties":true,"description":"Additional details about the error. This object can contain any additional information that may be useful for debugging.\n"}}}}},"paths":{"/workspaces/{workspaceId}/tcr-brands/{brandId}/vettings":{"get":{"description":"List all brand vettings for a given workspace. The list can be filtered by brand vetting status. This result is paginated. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.\n","operationId":"listWorkspaceBrandVettings","parameters":[{"$ref":"#/components/parameters/queryLimit"},{"$ref":"#/components/parameters/queryCursor"},{"$ref":"#/components/parameters/queryDirection"}],"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/BrandVettingList"},{"$ref":"#/components/schemas/pagination"}]}}},"description":"OK"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Brand not found"}},"summary":"List brand vettings in a workspace","tags":["number_brands"]}}}}
```

| Type                                                                                                                                        | Description                                                |
| ------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------- |
| array<[VettingResponse](/api/numbers-api/api-reference/10dlc-compliance/brands-workspace/create-a-brand-vetting.md#vettingresponse-object)> | VettingResponse object describes a submitted brand vetting |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/numbers-api/api-reference/10dlc-compliance/brands-workspace/list-brand-vettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
